{
  "meta": {
    "lastTouchedVersion": "2026.3.7",
    "lastTouchedAt": "2026-03-22T17:45:36.418Z"
  },
  "wizard": {
    "lastRunAt": "2026-03-22T17:19:56.118Z",
    "lastRunVersion": "2026.3.7",
    "lastRunCommand": "doctor",
    "lastRunMode": "local"
  },
  "models": {
    "mode": "merge",
    "providers": {
      "main": {
        "baseUrl": "http://localhost:3000/v1",
        "apiKey": "sk-2IwfgIu8j0s9MyhiNa03fdekwMcdMCkj473kDBtBzUQtPaaZ",
        "api": "openai-completions",
        "models": [
          {
            "id": "openclaw-main",
            "name": "openclaw main",
            "input": [
              "text",
              "image"
            ],
            "contextWindow": 65536,
            "maxTokens": 4096
          }
        ]
      },
      "deepseek": {
        "baseUrl": "http://localhost:3000/v1",
        "apiKey": "sk-2IwfgIu8j0s9MyhiNa03fdekwMcdMCkj473kDBtBzUQtPaaZ",
        "api": "openai-completions",
        "models": [
          {
            "id": "Pro/deepseek-ai/DeepSeek-V3.2",
            "name": "DeepSeek-V3.2",
            "input": [
              "text"
            ],
            "contextWindow": 65536,
            "maxTokens": 4096
          }
        ]
      },
      "glm": {
        "baseUrl": "http://localhost:3000/v1",
        "apiKey": "sk-2IwfgIu8j0s9MyhiNa03fdekwMcdMCkj473kDBtBzUQtPaaZ",
        "api": "openai-completions",
        "models": [
          {
            "id": "Pro/zai-org/GLM-5",
            "name": "GLM-5",
            "input": [
              "text"
            ],
            "contextWindow": 65536,
            "maxTokens": 4096
          }
        ]
      }
    }
  },
  "agents": {
    "defaults": {
      "model": {
        "primary": "main/openclaw-main"
      },
      "models": {
        "main/openclaw-main": {},
        "deepseek/Pro/deepseek-ai/DeepSeek-V3.2": {},
	"glm/Pro/zai-org/GLM-5": {}
      },
      "workspace": "/home/sinlee/.openclaw/workspace",
      "compaction": {
        "mode": "safeguard"
      },
      "timeoutSeconds": 900,
      "maxConcurrent": 4,
      "subagents": {
        "maxConcurrent": 8
      }
    }
  },
  "tools": {
    "web": {
      "search": {
        "enabled": true,
        "provider": "brave",
        "apiKey": "BSAR95DWBmMEc2GAnh374YfMUSwhA7P"
      },
      "fetch": {
        "enabled": true
      }
    }
  },
  "messages": {
    "ackReactionScope": "group-mentions"
  },
  "commands": {
    "native": "auto",
    "nativeSkills": "auto",
    "restart": true,
    "ownerDisplay": "raw"
  },
  "hooks": {
    "internal": {
      "enabled": true,
      "entries": {
        "session-memory": {
          "enabled": true
        },
        "boot-md": {
          "enabled": true
        }
      }
    }
  },
  "channels": {
    "telegram": {
      "enabled": true,
      "dmPolicy": "pairing",
      "botToken": "8386758323:AAEQuJERSivt-TsCKGpY41_CPUb1ZoK_Vas",
      "groupPolicy": "allowlist",
      "streaming": "partial"
    }
  },
  "gateway": {
    "port": 18789,
    "mode": "local",
    "bind": "lan",
    "controlUi": {
      "allowedOrigins": [
        "*"
      ],
      "allowInsecureAuth": true
    },
    "auth": {
      "mode": "token",
      "token": "772446bb58759ebbf055456b5c67efccf4deefede8c8ea07"
    },
    "tailscale": {
      "mode": "off",
      "resetOnExit": false
    }
  },
  "skills": {
    "install": {
      "nodeManager": "npm"
    },
    "entries": {
      "apple-notes": {
        "enabled": true
      }
    }
  },
  "plugins": {
    "entries": {
      "telegram": {
        "enabled": true
      }
    }
  }
}
